CLK_NOTIFIER_REGISTE(9)

NAME
clk_notifier_register - change notifier callback

SYNOPSIS

int clk_notifier_register(struct clk * clk, struct notifier_block * nb);

ARGUMENTS

clk
    clock whose rate we are interested in

nb
    notifier block with callback function pointer

PROTIP

debugging across notifier chains can be frustrating. Make sure that your notifier callback function prints a nice big warning in case of failure.

COPYRIGHT